Bug 671331 - (CVE-2011-0024) CVE-2011-0024 wireshark: heap-based buffer overflow in wireshark < 1.2 when reading malformed capture files
CVE-2011-0024 wireshark: heap-based buffer overflow in wireshark < 1.2 when r...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20110321,repor...
: Security
Depends On: 549582 612240 682932 833994
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-21 04:25 EST by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 06:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:44:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (1.20 KB, patch)
2011-01-21 05:20 EST, Huzaifa S. Sidhpurwala
no flags Details | Diff

  None (edit)
Description Huzaifa S. Sidhpurwala 2011-01-21 04:25:52 EST
Marc Schoenefeld found a heap-based buffer overflow in Wireshark, when reading certain capture files.

A remote attacker could use this flaw to cause wireshark executable
to crash or, potentially, execute arbitrary code with the privileges
of the user running wireshark, if the local user opened a
specially-crafted capture file.

This only affects wireshark < 1.2
Comment 1 Huzaifa S. Sidhpurwala 2011-01-21 05:20:10 EST
Created attachment 474606 [details]
patch
Comment 5 errata-xmlrpc 2011-03-21 15:39:21 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2011:0370 https://rhn.redhat.com/errata/RHSA-2011-0370.html

Note You need to log in before you can comment on or make changes to this bug.